Bug 410761 - Incorrect validation complaint v.v. failover domain
Incorrect validation complaint v.v. failover domain
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-cluster (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Jim Parsons
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 12:27 EST by Rob Kenna
Modified: 2009-04-16 18:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2008-0415
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:16:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Kenna 2007-12-04 12:27:55 EST
In the following cluster.conf file.  system-config-cluster claims:

Relax-NG validity error : Extra element failoverdomains in interleave
Relax-NG validity error : Extra element rm in interleave
/etc/cluster/cluster.conf:2: element cluster: Relax-NG validity error : Element
cluster failed to validate content
/etc/cluster/cluster.conf fails to validate

-------------------------------------------------------------------------
<?xml version="1.0"?>
<cluster alias="RHMag-Phys" config_version="41" name="RHMag-Phys">
        <fence_daemon clean_start="0" post_fail_delay="0" post_join_delay="3"/>
        <clusternodes>
                <clusternode name="et-virt05.lab.boston.redhat.com" nodeid="1"
votes="1">
                        <fence>
                                <method name="1"/>
                        </fence>
                </clusternode>
                <clusternode name="et-virt06.lab.boston.redhat.com" nodeid="3"
votes="1">
                        <fence>
                                <method name="1"/>
                        </fence>
                </clusternode>
        </clusternodes>
        <cman expected_votes="1" two_node="1"/>
        <fencedevices/>
        <rm log_facility="local4" log_level="6">
                <failoverdomains>
                        <failoverdomain name="bias-etvirt05" nofailback="1"
ordered="1" restricted="0">
                                <failoverdomainnode
name="et-virt05.lab.boston.redhat.com" priority="1"/>
                        </failoverdomain>
                        <failoverdomain name="bias-etvirt06" nofailback="1"
ordered="1" restricted="0">
                                <failoverdomainnode
name="et-virt06.lab.boston.redhat.com" priority="1"/>
                        </failoverdomain>
                        <failoverdomain name="bias-etvirt07" nofailback="1"
ordered="1" restricted="0"/>
                </failoverdomains>
                <resources/>
                <vm autostart="1" domain="bias-etvirt05" exclusive="0"
name="attvm01" path="/guest_roots" recovery="restart"/>
        </rm>
        <fence_xvmd/>
        <quorumd interval="3" label="rhmag-phys" min_score="1" tko="10" votes="1"/>
</cluster>
Comment 1 Kiersten (Kerri) Anderson 2008-01-28 12:05:24 EST
Need status update with respect to 5.2 inclusion.  Also, need qe ack in order to
build.
Comment 2 Ryan McCabe 2008-01-28 12:44:58 EST
I just checked in a fix for this. The output of xmllint is misleading: the
failure to validate the configuration is a result of the schema requiring one or
more heuristics under a quorumd tag (which is not required by the software).
Comment 5 Brian Brock 2008-05-14 17:27:17 EDT
behavior of new packages appears sane, marking as verified
Comment 7 errata-xmlrpc 2008-05-21 11:16:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0415.html

Note You need to log in before you can comment on or make changes to this bug.